.Button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  cursor: pointer;
  background: transparent;
  --background: #fff;
  border-radius: 8px;
  color: var(--color);
  box-sizing: border-box;
  
  &::before{
    content: "";
    position: absolute;
    background: var(--background);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    transition: 0.2s ease all;
    border-radius: 8px;
  }

  &__container{
    position: relative;
    z-index: 1;
  }

  &:hover {
    &::before{
      filter: saturate(1.1) brightness(0.9);
    }
  }

  &--size {
    &-sm {
      height: 30px;
      padding: 0 24px;
    } 

    &-md {
      height: 36px;
      padding: 0 32px;
    } 

    &-lg {
      height: 40px;
      padding: 0 36px;
    }
  }

  &--theme {
    &-primary {
      --background: #2E78E8;
      --color: #FFFFFF;
    }

    &-secondary {
      --background: #E7F0F2;
      --color: #444444;
    }

    &-danger {
      --background: #c05c5c;
      --color: #ffffff;
    }
  }

  &--round{
    border-radius: 1000px;
    &::before{
      border-radius: 1000px;
    }
  }

  &--variant-outline{
    border: 2px solid var(--background);
    color: var(--background);
    transition: 0.2s ease all;

    &::before{
      background: transparent;
      top: -2px;
      left: -2px;
      width: calc(100% + 4px);
      height: calc(100% + 4px);
    }
    &:hover{
      color: var(--color);
      border-color: transparent;
      &::before{
        background: var(--background);
      }
    }
  }

  &--disabled {
    cursor: not-allowed;
    opacity: 0.5;
  }
}